#include "sgl.h"

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;
    
	int hImage  = Load_Image( "hit.bmp", FLEX_MEM );
	if ( hImage < 0 )
	{
		EndLibrary();
		return -1;
	}
    
	int w, h;
	GetImageSize( hImage, &w, &h );
    
	float   fScale    = 0;


	while ( Run() && !(KeyIn() & KEYIN_ESC) )
	{
		fScale  += 0.05F;
		if ( fScale > 4 )
			fScale  = 0;
        
		Cls( XRGB(0,0,255) );
        
		// gEkāA`悷(Ft)B
		DrawRotExpTh( hImage,
			320, 240,
			0,
			w/2, h/2,
			fScale, fScale );
        
		Flip();
	}

	EndLibrary();
	
	return 0;
}