#include "sgl.h"

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;
    
	int hImage  = Load_Image( "hit.bmp", FLEX_MEM );
	if ( hImage < 0 )
	{
		EndLibrary();
		return -1;
	}
    
	int w, h;
	GetImageSize( hImage, &w, &h );
    
	float   fRot    = 0;


	while ( Run() && !(KeyIn() & KEYIN_ESC) )
	{
		fRot += PI/300;
		if ( fRot > 2 * PI )
			fRot = 0;
        
		Cls();
        
		// ]āA`悷B
		DrawRotExp( hImage,
			320, 240,
			fRot,
			w/2, h/2,
			1, 1 );
        
		Flip();
	}

	EndLibrary();
	
	return 0;
}