#include "sgl.h"

#define	ENEMY_X		(640/2)
#define	ENEMY_Y		(480/2)

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;
		
	int	hP	= Load_Image( "player.bmp" );
	int	hE	= Load_Image( "enemy.bmp" );
	if ( hP < 0 || hE < 0 )
	{
		EndLibrary();
		return -1;
	}

	// F邩ǂrbgɒāAۑB	
	SetBlendMode( BIT_COPY, 0 );
	Draw( hP, 0, 0 );
	Draw( hE, 0, 0 );
	SetBlendMode( NO_BLEND, 0 );
	
	int		key;
	int		x = 0, y = 0;
	bool	b_hit;

	while ( Run() && !(KeyIn() & KEYIN_ESC) )
	{
		key	= KeyIn();
		if ( key & KEYIN_LEFT )
			x --;
		if ( key & KEYIN_RIGHT )
			x ++;
		if ( key & KEYIN_UP )
			y --;
		if ( key & KEYIN_DOWN )
			y ++;
			
		b_hit	= IsHitBits(
					hP, x, y,
					hE, ENEMY_X, ENEMY_Y,
					NULL, NULL
					);
		
		Cls();
		
		DrawTh( hP, x, y );
		DrawTh( hE, ENEMY_X, ENEMY_Y );
		
		if ( b_hit )
			DrawString(0,0,XRGB(255,255,255),16,
			"Hit!!" );
		
		Flip();
	}

	EndLibrary();
	
	return 0;
}