#include "sgl.h"

#define	MAX_SEL		5

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;

	int		pushkey;		
	int		sel	= 0;
	int		i;
	
	DWORD	white	= XRGB(255,255,255);
	DWORD	red		= XRGB(255,0,0);
	DWORD	color;

	while ( Run() && !(KeyIn() & KEYIN_ESC) )
	{
		pushkey	= PushKeyIn();
		
		if ( pushkey & KEYIN_UP )
		{
			sel --;
			if ( sel < 0 )
				sel	= 0;
		}
		if ( pushkey & KEYIN_DOWN )
		{
			sel ++;
			if ( sel >= MAX_SEL )
				sel	= MAX_SEL - 1;
		}
		
		Cls();
		
		for ( i = 0 ; i < MAX_SEL ; i++ )
		{
			if ( i == sel )
				color	= red;
			else
				color	= white;			
			DrawString(0,20*i,color,16,
			"string %d", i );
		}
		
		Flip();
	}

	EndLibrary();
	
	return 0;
}