#include "sgl.h"

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;
    
	int hImage  = Load_Image( "test.bmp", FAST_MEM );
	if ( hImage < 0 )
	{
		EndLibrary();
		return -1;
	}

	int     value = 0;
	bool    up  = true;

	while ( Run() && !(KeyIn() & KEYIN_ESC) )
	{
		if ( up )
		{
			value ++;
			if ( value > 255 )
			{
				up  = ! up;
				value = 255;
			}
		}
		else
		{
			value --;
			if ( value < 0 )
			{
				up  = ! up;
				value = 0;
			}
		}
        
		Cls();

		// At@uhw肷B        
		SetBlendMode( ALPHA_BLEND, value );
		Draw( hImage, 0, 0 );
		SetBlendMode( NO_BLEND, 0 );
        
		Flip();    
	}

	EndLibrary();
	
	return 0;
}