#include "sgl.h"

#define CHAR_W      64
#define CHAR_H      64
#define CHAR_NUMX   6
#define CHAR_NUMY   4
#define CHAR_NUMALL (CHAR_NUMX * CHAR_NUMY)


int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
    if ( !InitLibrary(false,NULL,hInst) )
        return -1;

    //////////////////////////////////    
    // 摜t@CǂݍށB  
    FILE    *fp;
    int     size;
    char    *pData;
    
    // t@CJāATCY擾B
    fp  = fopen( "images\\test.bmp", "rb" );
    if ( fp == NULL )
    {
        EndLibrary();
        return -1;
    }
    fseek( fp, 0, SEEK_END );
    size    = (int)ftell( fp );
    fseek( fp, 0, SEEK_SET );
    
    // obt@mۂāAǂݍށB
    pData   = (char*)malloc( size );
    if ( pData == NULL )
    {
        fclose( fp );
        EndLibrary();
        return -1;
    }
    fread( pData, size, 1, fp );
    fclose( fp );
 
    int hBmp[CHAR_NUMALL];
    
    // CuɃubNēǂݍށB    
    bool result = Load_ImagesFromMem( 
                    pData, size,
                    CHAR_W, CHAR_H,
                    CHAR_NUMX, CHAR_NUMY,
                    CHAR_NUMALL,
                    hBmp,
                   FAST_MEM );
    free( pData );
    if ( !result )
    {
        EndLibrary();
        return -1;
    } 
    
    while( Run() && !(KeyIn() & KEYIN_ESC) )
    {
        Cls();
        
        Draw( hBmp[0], 0, 0 );
        
        Flip();
    }
    
    EndLibrary();
    
    return 0;
}