#include "sgl.h"

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;
        
	// I[fBIEt@C̓ǂݍ
	int hAudio  = LoadAudio( "stage2.mid" );
	if ( hAudio < 0 )
	{
		EndLibrary();
		return -1;
	}
	
	int		key = 0, lastkey = 0, pushkey;
	
	// I[fBI^Cvݒ肵܂B
	int	sel	= 0;
	int	type	= A_MONO;
	SetAudioType( hAudio, type );

	// Đ܂B    
	Play( hAudio );
	

	while ( Run() && !(key & KEYIN_ESC) )
	{
		key		= KeyIn();
		pushkey	= key & ~lastkey;
		lastkey	= key;
		
		if ( pushkey & KEYIN_UP )
		{
			sel	--;
			if ( sel < 0 )
				sel	= 0;
		}
		if ( pushkey & KEYIN_DOWN )
		{
			sel	++;
			if ( sel > 2 )
				sel	= 2;
		}

		
		if ( (pushkey & KEYIN_UP) ||
			 (pushkey & KEYIN_DOWN) )
		{
			switch( sel )
			{
			case 0:
				type	= A_MONO;
				break;
			case 1:
				type	= A_STEREOPLUSREVERB;
				break;
			case 2:
				type	= A_STEREO;
				break;
			}
			
			// I[fBI^Cvݒ肵܂B
			Stop( hAudio );
			SetAudioType( hAudio, type );
			Play( hAudio );
		}
			
		
		Cls();
		
		DrawString(0,0,XRGB(255,255,255),16,"ŁA؂ւ");
		
		switch( sel )
		{
		case 0:
			DrawString(0,20,XRGB(255,255,255),16,"Mono");
			break;
		case 1:
			DrawString(0,20,XRGB(255,255,255),16,"Stereo + Reverb");
			break;
		case 2:
			DrawString(0,20,XRGB(255,255,255),16,"Stereo");
			break;
		}
        
		Flip();
	}

	EndLibrary();
	
	return 0;
}