#include "sgl.h"

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;
    
	int hImage  = Load_Image( "test.bmp", FAST_MEM );
	if ( hImage < 0 )
	{
		EndLibrary();
		return -1;
	}

	while ( Run() && !(KeyIn() & KEYIN_ESC) )
	{
		Cls();
        
		SetDrawArea( 100, 200, 300, 400 );        
		Draw( hImage, 0, 0 );
		SetDrawArea( 0, 0, 640, 480 );
        
		Flip();
	}

	EndLibrary();
	
	return 0;
}