#include "sgl.h"

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, int )
{
	if ( !InitLibrary(false,NULL,hInst) )
		return -1;
        
	// I[fBIEt@C̓ǂݍ
	int hAudio  = LoadAudio( "stage2.mid" );
	if ( hAudio < 0 )
	{
		EndLibrary();
		return -1;
	}

	// Đ܂B    
	Play( hAudio );
	
	int		key = 0;
	float	volume	= 0;
	float	m_vol	= 0;
	
	while ( Run() && !(key & KEYIN_ESC) )
	{
		key		= KeyIn();
		
		if ( key & KEYIN_UP )
		{
			volume	+= 1.6F;
			if ( volume > 0 )
				volume	= 0;
		}
		
		if ( key & KEYIN_DOWN )
		{
			volume	-= 1.6F;
			if ( volume < -96 )
				volume	= -96.0F;
		}
		
		if ( key & KEYIN_RIGHT )
		{
			m_vol	+= 1.0F;
			if ( m_vol > 10 )
				m_vol	= 10.0F;
		}
		
		if ( key & KEYIN_LEFT )
		{
			m_vol	-= 1.0F;
			if ( m_vol < -100 )
				m_vol	= -100.0F;
		}
		
		// }X^[{[(剹)ݒ肵܂B
		SetMasterVolume( m_vol );

		// {[()ݒ肵܂B
		SetVolume( hAudio, volume );
			
		
		Cls();
		
		DrawString( 0, 0, XRGB(255,255,255), 16,
					"ŁA{[ύX" );
		DrawString( 0, 20, XRGB(255,255,255), 16,
					"Master Volume : %f",
					m_vol );
		DrawString( 0, 40, XRGB(255,255,255), 16,
					"Volume : %f",
					volume );
        
		Flip();
	}

	EndLibrary();
	
	return 0;
}